%define rname hotplug

Name: linux-hotplug
Version: 2004_09_23
Release: alt1

Summary: A helper application for loading modules
Summary(ru_RU.KOI8-R):     
Group: System/Configuration/Hardware

License: GPL
Url: http://linux-hotplug.sourceforge.net/

Source0: hotplug-2004_03_29.tar.gz
Source4: hotplug-modutils
Source5: hotplug-oss
Source6: hotplug.conf

Patch0:  hotplug-2004_03_29-alt.patch

PreReq: chkconfig
Obsoletes: usbd
Provides: usbd
Provides: /lib/firmware
Provides: /usr/lib/hotplug/firmware
PreReq: modutils >= 2.4.25-alt3
Requires: startup >= 0.9.0-alt1

Provides: %rname = %version-alt13
Conflicts: %rname

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices,
and can automatically configure network interfaces.

%description -l ru_RU.KOI8-R
          
.

%prep
%setup -q -n %rname-2004_03_29
%patch0 -p1

%build
%make_build CFLAGS="%optflags"

%install
%make prefix=%buildroot install

%__mkdir -p %buildroot/sbin
%__mkdir -p %buildroot%_sysconfdir/modutils.d
%__mkdir -p %buildroot%_sysconfdir/%rname/usb
%__mkdir -p %buildroot%_sysconfdir/%rname/pci
%__mkdir -p %buildroot%_sysconfdir/%rname/ieee1394
%__mkdir -p %buildroot%_sysconfdir/sysconfig
%__install -m644 %SOURCE6 %buildroot%_sysconfdir/sysconfig/%rname

%__mkdir -p %buildroot%_var/log/%rname
%__mkdir -p %buildroot%_var/lib/%rname
%__install -m 644 %SOURCE4 %buildroot%_sysconfdir/modutils.d/%rname
%__install -m 644 %SOURCE5 %buildroot%_sysconfdir/modutils.d/oss

%__mkdir -p %buildroot/lib/firmware
%__mkdir -p %buildroot%_libdir/hotplug/firmware

%post 
%post_service hotplug
/sbin/chkconfig --add hotplug

%preun
%preun_service hotplug

%files
%doc README ChangeLog
%config(noreplace) %_sysconfdir/modutils.d/%rname
%config(noreplace) %_sysconfdir/modutils.d/oss
%config(noreplace) %_sysconfdir/%rname/blacklist
%config(noreplace) %_sysconfdir/sysconfig/%rname
%_sysconfdir/%rname/%rname.functions
%_sysconfdir/%rname/ieee1394.agent
%_sysconfdir/%rname/net.agent
%_sysconfdir/%rname/pci.agent
%_sysconfdir/%rname/usb.agent
%config(noreplace) %_sysconfdir/%rname/usb.distmap
%config(noreplace) %_sysconfdir/%rname/usb.handmap
%config(noreplace) %_sysconfdir/%rname/usb.usermap
%config(noreplace) %_sysconfdir/%rname/pnp.distmap
%dir %_sysconfdir/%rname.d
%dir %_sysconfdir/%rname.d/default
%config(noreplace) %_sysconfdir/%rname.d/default/default.hotplug
%_sysconfdir/%rname/dasd.agent
%_sysconfdir/%rname/firmware.agent
%_sysconfdir/%rname/input.agent
%_sysconfdir/%rname/scsi.agent
%_sysconfdir/%rname/tape.agent
%_sysconfdir/%rname/sound.agent
%_sysconfdir/%rname/*.rc
%_sysconfdir/rc.d/init.d/%rname
/sbin/%rname
%dir %_sysconfdir/%rname
%dir %_sysconfdir/%rname/usb
%dir %_sysconfdir/%rname/pci
%dir %_sysconfdir/%rname/ieee1394
%dir /lib/firmware
%dir %_libdir/hotplug
%dir %_libdir/hotplug/firmware
%dir %_var/run/usb
%dir %_var/log/%rname
%dir %_var/lib/%rname
%_mandir/man?/*

%changelog
* Tue Jun 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2004_09_23-alt1
- renamed to linux-hotplug
- added provides %rname-%version-alt13

* Sat Apr 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2004_09_23-alt12
- added pnp.rc
- added /etc/modutils.d/oss

* Sun Feb 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2004_03_29-alt10
- add support etcnet

* Tue Jan 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2004_03_29-alt9
- add firmware dir /lib/firmware

* Fri Jan 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2004_03_29-alt8
- removed libhw
- removed updfstab
- not support etcnet
- added firmware dir
- added sleep 5 above load usb modules for kernel 2.4

* Mon Jul 19 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt7
- fixed start/stop chkconfig priority for hotplug initscript (32 69) (#4668)
- added status information for sound.rc (#4825)
- renamed *START options in sysconfig file to HOTPLUGRC
- used "action" into initscript for starting hotplugging services
- Russian summary and description added

* Sun Jul 18 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt6
- fixed typo in sound.agent
- don't probe modules, if pciscan return driver with "Card:", "ISDN:", "Bad:" or "Server:" words

* Wed Jul 14 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt5
- sound.agent and sound.rc added (only for kernel 2.6)
- into "pci.rc status" output from lspci changed to output from pciscan -v
- added configuration file %_sysconfdir/sysconfig/%rname (user may be disable hotplug functions)
- enabled stop service on hotplug initscripts (only for kernel 2.6) 

* Tue Jul 13 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt4
- skip blank lines into usb_map_modules
- requires fixed
- added eth1394 and i8xx_tco to blacklist

* Fri Jul 09 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt3
- fixed #4301
- block.agent added (work only for kernel 2.6.x)
- added remove event support for network interfaces (#4668)

* Mon May 31 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt2
- load_driver don't load missing kernel module
- fixed loading usb drivers for usb 2.0 controllers with usb 1.x
- ignoring all PCI network adapters added at start hotplug (kernel 2.6)

* Wed May 26 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt1
- new version with kernel 2.6 support

* Thu Oct 16 2003 Rider <rider@altlinux.ru> 2002_08_26-alt5
- added ieee1394 storages support 

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 2002_08_26-alt4
- fixed requires to %_sysconfdir/pcmcia/wireless

* Mon Sep 29 2003 Rider <rider@altlinux.ru> 2002_08_26-alt3
- install %rname config into %_sysconfdir/modutils.d/ for loading sd_mod above usb-storage

* Tue Jul 08 2003 Rider <rider@altlinux.ru> 2002_08_26-alt2
- run updfstab with LANG variable
- run updfstab after remove USB storage device

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 2002_08_26-alt1.1
- Enable Debian's update-usb.usermap utility.
  We'll need it for some printer drivers

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_08_26-alt1
- Rebuilt in new environment
- 2002_08_26
- Added some Mandrake patches

* Tue May 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt2
- Added joydev patch to support some joystics

* Thu Apr 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt1
- 2002-04-01
- Added -gtk subpackage

* Fri Dec 07 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt2
- Added requires to right modutils

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt1
- First build for Sisyphus

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own %_sysconfdir/%rname

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace %_sysconfdir/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

